<?
/*************************************************
功能說明:解析網頁樣板，並替換後輸出
建立人員:孫仲岳
建立日期:2004-02-10
修改日期:2004-09-07
代值說明:檔案名稱或位置、解析用變數陣列
輸入格式:字串、陣列
輸出格式:網頁字串
其他補充:$filename 檔案位置
         $parser_array 型式為 $array['key'] = value;
**************************************************/
function read_and_parser($filename,$parser_array)
{	
	$handle = fopen ($filename, "r");
	$buffer = fread ($handle, filesize ($filename));
	fclose ($handle);

	/*開始搜尋替換*/
	
	while(list($key,$value)=each($parser_array))
	{	
		$buffer = str_replace($key,$value,$buffer);
	}	

	return $buffer;
}
?>